address     { margin: 0 0 1.5em; font-style: italic; }

pre,code    { margin: 1.5em 0; white-space: pre; }
pre,code,tt { font-size: 1em; line-height: 1.5; }

.small      { font-size: .8em; margin-bottom: 1.875em; line-height: 1.875em; }
.large      { font-size: 1.2em; line-height: 2.5em; margin-bottom: 1.25em; }
.bold       { font-weight: bold ; }

.caps {     /* creates small caps */
  font-variant: small-caps;
  letter-spacing: 1px;
  text-transform: lowercase;
  font-weight:bold;
  padding:0 2px;
}


.rax-container { margin: 0 auto; }

.column { float:left; margin-right: 10px; position:relative; 
    -webkit-box-sizing: content-box;
-moz-box-sizing: content-box;
    box-sizing: content-box; }
.last { margin-right:0px; clear:right; -webkit-box-sizing: content-box;
-moz-box-sizing: content-box;
    box-sizing: content-box; }

    /* -- fixed-width cells -- */
.c1 {width:20px}.c2 {width:40px}.c3 {width:60px}.c4 {width:80px}.c5 {width:100px}.c6 {width:120px}.c7 {width:140px}.c8 {width:160px}.c9 {width:180px}.c10 {width:200px}.c11 {width:220px}.c12 {width:240px}.c13 {width:260px}.c14 {width:280px}.c15 {width:300px}.c16 {width:320px}.c17 {width:340px}.c18 {width:360px}.c19 {width:380px}.c20 {width:400px}.c21 {width:420px}.c22 {width:440px}.c23 {width:460px}.c24 {width:480px}.c25 {width:500px}
.c26 {width:520px}.c27 {width:540px}.c28 {width:560px}.c29 {width:580px}.c30 {width:600px}.c31 {width:620px}.c32 {width:640px}.c33 {width:660px}.c34 {width:680px}.c35 {width:700px}.c36 {width:720px}.c37 {width:740px}.c38 {width:760px}.c39 {width:780px}.c40 {width:800px}.c41 {width:820px}.c42 {width:840px}.c43 {width:860px}.c44 {width:880px}.c45 {width:900px}.c46 {width:920px}.c47 {width:940px}.c48 {width:960px}.c49 {width:980px}.c50 {width:1000px}
.c60{width:1200px}.c70{width:1400px}.c80{width:1600px}.c90{width:1800px}.c100{width:2000px}
.r1 {height:20px}.r2 {height:40px}.r3 {height:60px}.r4 {height:80px}.r5 {height:100px}.r6 {height:120px}.r7 {height:140px}.r8 {height:160px}.r9 {height:180px}.r10 {height:200px}.r11 {height:220px}.r12 {height:240px}.r13 {height:260px}.r14 {height:280px}.r15 {height:300px}.r16 {height:320px}.r17 {height:340px}.r18 {height:360px}.r19 {height:380px}.r20 {height:400px}.r21 {height:420px}.r22 {height:440px}.r23 {height:460px}.r24 {height:480px}.r25 {height:500px}
.r26 {height:520px}.r27 {height:540px}.r28 {height:560px}.r29 {height:580px}.r30 {height:600px}.r31 {height:620px}.r32 {height:640px}.r33 {height:660px}.r34 {height:680px}.r35 {height:700px}.r36 {height:720px}.r37 {height:740px}.r38 {height:760px}.r39 {height:780px}.r40 {height:800px}.r41 {height:820px}.r42 {height:840px}.r43 {height:860px}.r44 {height:880px}.r45 {height:900px}.r46 {height:920px}.r47 {height:940px}.r48 {height:960px}.r49 {height:980px}.r50 {height:1000px}

/* -- elastic cells  -- */
.elastic {width:auto; position:relative}
.e10 {width:10%;}.e20 {width:20%}.e30 {width:30%}.e40 {width:40%}.e50 {width:50%}.e60 {width:60%}.e70 {width:70%}.e80 {width:80%}.e90 {width:90%}.e100 {width:100%}
.h10 {height:10%}.h20 {height:20%}.h30 {height:30%}.h40 {height:40%}.h50 {height:50%}.h60 {height:60%}.h70 {height:70%}.h80 {height:80%}.h90 {height:90%}.h100 {height:100%}

/* -- borders -- */
.border,.border1  { border-width: 1px }
.border2 { border-width: 2px }
.border3 { border-width: 3px }
.border4 { border-width: 4px }
.border5 { border-width: 5px }
.tpb { border-top: 1px }.rtb { border-right: 1px }.bmb { border-bottom: 1px }.ltb { border-left: 1px }
.colborder { padding-right: 9px;  margin-right: 10px; }

/* position */  
.above {position:absolute;}
.left { float:left; position:relative } 
.right { float:right; position:relative }
.center {margin: 0 auto;}
.top { margin-top:0; padding-top:0; }
.bottom { margin-bottom:0; padding-bottom:0; }
.front { z-index: 1000; }
.back { z-index: -1000; }
.fixed { position:fixed; }

/* alignment */
body .align-middle { vertical-align: middle }
body .text-center { text-align: center }

/* pads & margins */
.pad { padding:10px }.hlf-pad { padding:5px }.dbl-pad{ padding:20px }  /*  pad, half, double padding */
.margin { margin:10px }
.tpm { margin-top: 10px }.rtm { margin-right: 10px }.bmm { margin-bottom: 10px }.ltm { margin-left: 10px }

/* prepend & append*/
.append1 {padding-right:20px}.append2 {padding-right:40px}.append3 {padding-right:60px}.append4 {padding-right:80px}.append5 {padding-right:100px}
.append6 {padding-right:120px}.append7 {padding-right:140px}.append8 {padding-right:160px}.append9 {padding-right:180px}.append10 {padding-right:200px}
.prepend1 {padding-left:20px}.prepend2 {padding-left:40px}.prepend3 {padding-left:60px}.prepend4 {padding-left:80px}.prepend5 {padding-left:100px}
.prepend6 {padding-left:120px}.prepend7 {padding-left:140px}.prepend8 {padding-left:160px}.prepend9 {padding-left:180px}.prepend10 {padding-left:200px}
.prepend-top {margin-top:20px;}
.append-bottom {margin-bottom:20px;}

/* push & pull elements */
.push1 { margin-right: -20px; margin-left: 20px }
.push2 { margin-right: -40px; margin-left: 40px }
.push3 { margin-right: -60px; margin-left: 60px }
.push4 { margin-right: -80px; margin-left: 80px }
.push5 { margin-right: -100px; margin-left: 100px }
.push1, .push2, .push3, .push4, .push5 {  float: right;  position:relative;}

.pull1 { margin-left: -20px; margin-right: 20px }
.pull2 { margin-left: -40px; margin-right: 40px }
.pull3 { margin-left: -60px; margin-right: 60px }
.pull4 { margin-left: -80px; margin-right: 80px }
.pull5 { margin-left: -100px; margin-right:100px }
.pull1, .pull2, .pull3, .pull4, .pull5 { float: left; position:relative; }

/* up & down - push elements up or down */
.up1 { margin-top: -20px; margin-bottom: 20px }
.up2 { margin-top: -40px; margin-bottom: 40px }
.up3 { margin-top: -60px; margin-bottom: 60px }
.up4 { margin-top: -80px; margin-bottom: 80px }
.up5 { margin-top: -100px; margin-bottom: 100px }
.up1, .up2, .up3, .up4, .up5 { position:relative; }

.dn1 { margin-top: 20px; margin-bottom: -20px }
.dn2 { margin-top: 40px; margin-bottom: -40px }
.dn3 { margin-top: 60px; margin-bottom: -60px }
.dn4 { margin-top: 80px; margin-bottom: -80px }
.dn5 { margin-top: 100px; margin-bottom: -100px }
.dn1, .dn2, .dn3, .dn4, .dn5 { position:relative; }


/* scroll */
.clip {overflow:hidden;}
.clip-x {overflow-x:hidden;}
.clip-y {overflow-y:hidden;}
.scrollable { overflow:auto;}

/* visibility */
body .hide {display:none}   /* use body selector to add more weight to style */

/* cursors */
.mouse-cursor { cursor:default; }
.click-cursor { cursor:pointer; }


/* clear */
.clear, form br { clear:both; }
.clearfix:after, .rax-container:after {content:"\0020";display:block;height:0;clear:both;visibility:hidden;overflow:hidden;}
.clearfix, .rax-container {display:block;}


/* -- forms -- */
legend { padding: 0 .4em; }



/* -- rulers -- */
hr.space {
    color: #fff;
    background: transparent;
    visibility:hidden;
}

/*-- backdrop --*/
.rax-backdrop { padding:8px; }

/*  -- box ui -- */
.rax-box { padding: 8px; }
.rax-box .box-title { margin:-7px -7px 10px -7px; padding: 2px 5px; display:block; }
